- Mock serverhttps://developer.sprinklr.com/_mock/apis/sprinklr-v3/listening/topic
- Production Serverhttps://api3.sprinklr.com/prod/api/v3/listening/topic
curl -i -X GET \
'https://developer.sprinklr.com/_mock/apis/sprinklr-v3/listening/topic?id=string' \
-H 'Authorization: Bearer <YOUR_Token_HERE>' \
-H 'Key: YOUR_API_KEY_HERE'Success
Array []
Listening Topic type, possible values : ACCOUNT_LISTENING, PROFILE_LISTENING, QUERY_LISTENING, GEO_LOCATION
Block Locations from which data should not be grabbed
Partner Profile List IDs from which data should be blocked
Generating Source List IDs from which data should be blocked
Client Profile List IDs from which data should be grabbed
Partners Profile List IDs from which data should be grabbed
Minimum follower count that publishing user should have, to match message
Listening Topic data Volume Threshold Config
Response
[ { "id": "string", "name": "string", "displayName": "string", "topicType": "string", "iconUrl": "string", "imageUrl": "string", "color": "string", "description": "string", "topicGroupId": "string", "startDate": 0, "endDate": 0, "tags": [ … ], "sources": [ … ], "enabled": true, "query": "string", "languageCodes": [ … ], "countryCodes": [ … ], "locations": [ … ], "blockLocations": [ … ], "blockedDomains": [ … ], "blockedDomainsListIds": [ … ], "blockedClientProfileLists": [ … ], "blockedPartnerProfileLists": [ … ], "blockedCountryCodes": [ … ], "blockedLanguageCodes": [ … ], "generatingSourceList": [ … ], "generatingSources": [ … ], "blockedGeneratingSourceList": [ … ], "blockedGeneratingSources": [ … ], "inclusiveDomains": [ … ], "inclusiveDomainsListIds": [ … ], "inclusiveClientProfileLists": [ … ], "inclusivePartnerProfileLists": [ … ], "accountIds": [ … ], "accountGroupIds": [ … ], "excludeRetweets": true, "matchQuotedRetweets": true, "excludePossiblySensitiveContent": true, "excludeUrlsInSearch": true, "excludeRevItemName": true, "onlyVerifiedUser": true, "minimumFollowerCount": 0, "minimumMozRank": 0.1, "maximumMozSpamScore": 0, "maximumAlexaRank": 0, "createdTime": 0, "modifiedTime": 0, "ownerUserId": 0, "lastModifiedUserId": 0, "clientId": 0, "dataVolumeThresholdApiConfig": { … }, "partnerCustomProperties": { … }, "clientCustomProperties": { … }, "customEntityTypeVsCustomEntityIds": { … }, "autoBackfill": true } ]